Subject: Re: bug#46052: Colons fooling GNUmakefile mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Jan 2021 19:23:40 +0200

> From: Kévin Le Gouguec <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 23 Jan 2021 15:58:58 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm not sure a target line cannot possibly start with a TAB.
> 
> I'll admit to not being an expert in makefile syntax; I do find this
> entry in (info "(make) Error Messages") encouraging though:
> 
> > 'recipe commences before first target. Stop.'
> > 'missing rule before recipe. Stop.'
> >      This means the first thing in the makefile seems to be part of a
> >      recipe: it begins with a recipe prefix character and doesn't appear
> >      to be a legal 'make' directive (such as a variable assignment).
> >      Recipes must always be associated with a target.
> 
> While that phrasing doesn't rule out subsequent targets from starting
> with a TAB, empirically that seems to be the case:

I didn't say a _rule_ can start with a TAB, I said a rule's _line_
could start with a TAB.  For example (indentation added for
readability):

  foo \
	  bar: baz